Package org.eclipse.birt.report.engine.api

# Interface IDataExtractionOption

All Superinterfaces:
  `IExtractionOption`, `ITaskOption`

All Known Implementing Classes:
  `DataExtractionOption`

public interface IDataExtractionOption extends IExtractionOption

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION_HANDLER`
`static final String`
`EXTENSION`
`static final String`
`IMAGE_HANDLER`
`static final String`
`INSTANCE_ID`
`static final String`
`LOCALE`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IExtractionOption

`OPTION_FORMATTER, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_STREAM`

## Method Summary

Modifier and Type
Method
Description
`IHTMLActionHandler`
`getActionHandler()`
`String`
`getExtension()`
Get extension.
`IHTMLImageHandler`
`getImageHandler()`
`InstanceID`
`getInstanceID()`
`void`
`setActionHandler(IHTMLActionHandler actionHandler)`
`void`
`setExtension(String extension)`
Set extension id.
`void`
`setImageHandler(IHTMLImageHandler imageHandler)`
`void`
`setInstanceID(InstanceID iid)`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IExtractionOption

`getFormatter, getOutputFile, getOutputFormat, getOutputStream, setFormatter, setOutputFile, setOutputFormat, setOutputStream`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Field Details

### EXTENSION

static final String EXTENSION

See Also:
  - Constant Field Values

### INSTANCE_ID

static final String INSTANCE_ID

See Also:
  - Constant Field Values

### IMAGE_HANDLER

static final String IMAGE_HANDLER

See Also:
  - Constant Field Values

### ACTION_HANDLER

static final String ACTION_HANDLER

See Also:
  - Constant Field Values

### LOCALE

static final String LOCALE

See Also:
  - Constant Field Values

## Method Details

### setExtension

void setExtension(String extension)
Set extension id.

Parameters:
  `extension` - extension id.

### getExtension

String getExtension()
Get extension.

### setInstanceID

void setInstanceID(InstanceID iid)

### getInstanceID

InstanceID getInstanceID()

### setImageHandler

void setImageHandler(IHTMLImageHandler imageHandler)

### getImageHandler

IHTMLImageHandler getImageHandler()

### setActionHandler

void setActionHandler(IHTMLActionHandler actionHandler)

### getActionHandler

IHTMLActionHandler getActionHandler()